Subject: Speaking at Rice Econ class
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 21 Feb 2001 09:32:00 -0800 (PST)

Steve--

I have spoken with the instructor of my Economics of Energy class
here at Rice and passed on your contact information to him.  He is
interested in having you speak before our class and will, I believe, be in
contact with you soon.  I am enclosing in this email the contact
information for him.
Thank you again for the use of your valuable time, both during the
interview process (of which I am very eagerly awaiting the results) and
now.  I am extremely excited about the prospect of working at Enron during
the coming summer.

INSTRUCTOR INFO:
Ken Medlock
713/348-5593
[email-masked]

Sincerely,
Phil Mayor